## ros-kinetic-code-coverage 0.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(code_coverage)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS code_coverage-extras.cmake)

## Install all cmake files
install(DIRECTORY cmake/Modules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== debian/changelog ===
ros-kinetic-code-coverage (0.4.3-1xenial) xenial; urgency=high

  * Use multiple python coverage files (#23 <https://github.com/mikeferguson/code_coverage/issues/23>)
    Co-authored-by: hslusarek <mailto:h.slusarek@pilz.de>
  * add note that robot_calibration uses this package
  * fix #25 <https://github.com/mikeferguson/code_coverage/issues/25>
  * Add new report formats (#24 <https://github.com/mikeferguson/code_coverage/issues/24>)
    * Add html report format
    * Add console report format
    * Add '--include'  and '--omit' flag to python-coverage commands
  * Contributors: Alexander Gutenkunst, Michael Ferguson, hslusarek

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 30 Jul 2020 04:00:00 -0000

ros-kinetic-code-coverage (0.4.2-1xenial) xenial; urgency=high

  * Add option for specifying extra flags to genhtml (#20 <https://github.com/mikeferguson/code_coverage/issues/20>)
    This modification allows you to add flags to the genhtml step so that you can do things like output the lcov report with demangled C++ function names, e.g.:
    catkin_make -DGENHTML_EXTRA_FLAGS="--demangle-cpp" -DENABLE_COVERAGE_TESTING=ON -DCMAKE_BUILD_TYPE=Debug test1_coverage_report
  * Add catkin_make build step in usage example (#19 <https://github.com/mikeferguson/code_coverage/issues/19>)
  * bump cmake version for noetic
  * Contributors: Immanuel Martini, Michael Ferguson, mschickler

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 05 May 2020 04:00:00 -0000

ros-kinetic-code-coverage (0.4.1-1xenial) xenial; urgency=high

  * update package.xml for noetic
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Apr 2020 04:00:00 -0000

ros-kinetic-code-coverage (0.4.0-1xenial) xenial; urgency=high

  * add support for python-based coverage (#18 <https://github.com/mikeferguson/code_coverage/issues/18>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 02 Apr 2020 04:00:00 -0000

ros-kinetic-code-coverage (0.3.0-1xenial) xenial; urgency=high

  * update target name in readme
  * Merge pull request #15 <https://github.com/mikeferguson/code_coverage/issues/15> from rhaschke/master
    Simplify + clarify usage
  * add link to original source
  * simplify usage
    - automatically include(CodeCoverage)
    - clarify that APPEND_COVERAGE_COMPILER_FLAGS() needs to be called before defining any target
  * Merge pull request #13 <https://github.com/mikeferguson/code_coverage/issues/13> from leunMar/fix/usage_docu
    Fix example of add_code_coverage() in README.md
  * Fix example of add_code_coverage() in README.md
  * Contributors: Immanuel Martini, Michael Ferguson, Robert Haschke

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 18 Nov 2019 05:00:00 -0000

ros-kinetic-code-coverage (0.2.4-1xenial) xenial; urgency=high

  * Merge pull request #11 <https://github.com/mikeferguson/code_coverage/issues/11> from agutenkunst/master
    Keep *.info.cleaned. Closes #10 <https://github.com/mikeferguson/code_coverage/issues/10>
  * Keep *.info.cleaned. Closes #10 <https://github.com/mikeferguson/code_coverage/issues/10>
  * Merge pull request #8 <https://github.com/mikeferguson/code_coverage/issues/8> from jschleicher/documentation
    documentation: degrade to test_depend
  * documentation degrade to test_depend
    and note that build type should be set to Debug
  * Contributors: Alexander Gutenkunst, Joachim Schleicher, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-kinetic-code-coverage (0.2.3-1xenial) xenial; urgency=high

  * Merge pull request #7 <https://github.com/mikeferguson/code_coverage/issues/7> from jschleicher/fix/installed_package
    fix search path for installed package
  * fix search path for installed package
    Closes #6 <https://github.com/mikeferguson/code_coverage/issues/6>
  * Contributors: Joachim Schleicher, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 24 Aug 2018 04:00:00 -0000

ros-kinetic-code-coverage (0.2.2-1xenial) xenial; urgency=high

  * fix name of installspace file
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 21 Aug 2018 04:00:00 -0000

ros-kinetic-code-coverage (0.2.1-1xenial) xenial; urgency=high

  * Merge pull request #3 <https://github.com/mikeferguson/code_coverage/issues/3> from mikeferguson/catkin_build_fix
    Add support for catkin_tools (fixes #2 <https://github.com/mikeferguson/code_coverage/issues/2>)
  * add information on how to run with catkin_tools
  * minor escaping patch to work with catkin_tools
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 13 Aug 2018 04:00:00 -0000

ros-kinetic-code-coverage (0.2.0-1xenial) xenial; urgency=high

  * First release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-code-coverage
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), lcov, python-coverage, ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-code-coverage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, python-coverage
Description: CMake configuration to run coverage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-code-coverage//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
